Skip to main content

Disconnect a 1st Connection

POST /api/v1/disconnect

This API allows the authenticated user to remove a LinkedIn connection, effectively ending the professional relationship.

The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference.

Important: LinkedIn may take a few hours to a few days to update the status.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.

Sample Request

{
"accountId": "string",
"profile_id": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
disconnectedbooleanWhether the connection was removed.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"disconnected": false,
"profile_id": "string"
}
}
POST/api/v1/disconnect
x-api-key
x-api-secret